Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.campaign.webservice
Interface CampaignWebService

public interface CampaignWebService
extends javax.ejb.EJBObject

A WLS RPC-style WebService entry-point EJB for various campaign related features.

Method Summary
`java.lang.String[]` | `getAdIds(java.lang.String userId, java.lang.String xmlQuery)` Get the list of ids of ads that match the xml-based contentQuery string for the given user.
`java.lang.String[]` | `getEmailURIs(java.lang.String webAppURI)` Get the list of email URI (relative to the server base URI) of the campaign email files available in the current application.

Methods inherited from interface javax.ejb.EJBObject
`getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

Method Detail

### getAdIds

    public java.lang.String[] getAdIds(java.lang.String userId,
                                       java.lang.String xmlQuery)
                                throws java.rmi.RemoteException,
                                       javax.ejb.EJBException

  Get the list of ids of ads that match the xml-based contentQuery string for the given user.

### getEmailURIs

    public java.lang.String[] getEmailURIs(java.lang.String webAppURI)
                                    throws java.rmi.RemoteException,
                                           javax.ejb.EJBException

  Get the list of email URI (relative to the server base URI) of the campaign email files available in the current application.

  Parameters:
    `webAppURI` - the base webAppURI to filter on (null for all webApps in the application).

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved